Skip to content
getgeolens.com

List All Embed Tokens

GET
/admin/embed-tokens/
curl --request GET \
--url 'https://example.com/api/admin/embed-tokens/?skip=0&limit=50' \
--header 'Authorization: Bearer <token>'

List all embed tokens across all maps with optional filters (admin only).

skip
Skip
integer
0
limit
Limit
integer
default: 50 >= 1 <= 200
map_id
Any of:
string format: uuid
map_search
Any of:
string
creator
Any of:
string
status
Any of:
string

Successful Response

Media type application/json
AdminEmbedTokenListResponse
object
tokens
required
Tokens
Array<object>
AdminEmbedTokenResponse
object
id
required
Id
string format: uuid
map_id
required
Map Id
string format: uuid
name
Any of:
string
token_hint
required
Token Hint
string
scoped_dataset_ids
required
Scoped Dataset Ids
Array<string>
allowed_origins
Any of:
Array<string>
expires_at
required
Expires At
string format: date-time
is_active
required
Is Active
boolean
use_count
Use Count
integer
0
last_used_at
Any of:
string format: date-time
created_at
required
Created At
string format: date-time
map_name
Any of:
string
creator_username
Any of:
string
total
required
Total
integer
Example
{
"tokens": [
{
"use_count": 0
}
]
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}